# Supplement Material (Complete Size: 19.6 MB)

This zip archive contains supplementary material for the paper "Who benefits from Visualization Adaptations? Towards a better Understanding of the Influence of Visualization Literacy".
With the following list, we will describe the folders and their files.



## File: 01 Survey.pdf (Size: 4.09 MB)

The pdf export of the online study from our lime survey.
It was slightly altered to make it anonym (e.g., removed the name of the author).



## File: 02 Tasks Overview.pdf (Size: 101 KB)

The tasks created for the study.
The table also contains the 6 or 7 possible answers the participants had to choose from, the highlight of the correct answer, as well as the link to the used visualization ("FileNumber", which is related to the folder "03 Task Visualizations").



## Folder: 03 Task Visualizations (Size: 5.95 MB)

The visualizations used in our study.
Each file is linked to the to the tasks presented in the file "02 Tasks.pdf" (column "File Number") via the file name.
Additionally, the file "dataset.csv" is present in this folder.
This file contains the data used to create the visualizations for the study.
This was prepared by tableau and is available on the following website:
https://public.tableau.com/en-us/gallery/how-has-world-changed-1962



## Folder: 04 Collected Data (Size: 146 KB)

Contains two files that present the collected data.

### File: raw lime survey - completed surveys.xlsx (Size: 42.1 KB)

This file contains the raw collected data which was directly exported from lime survey.
However, we removed some information for anominyzation reason.

### File: preprocessed data.xlsx (Size: 103 KB)

The cleaned up data.
The data is split in several views/sheets.



## Folder: 05 Data Analysis Scripts (Size: 48.7 KB)

The python scripts used to further clean up the data, prepare them to be analyzed via python scripts or JASP, but also to create the figures present in the paper.
We used the following environment and packages to run the scripts:
* python 3.9
* pingouin >= 0.40 (https://pingouin-stats.org/)
* seaborn >= 0.11.1 (https://seaborn.pydata.org/)
* pandas >= 1.3.1
* matplotlib >= 3.4.2
* numpy >= 1.21.1

You can find the following scripts that you can execute (in the described order) in the folder:
1. __data_converter.py__: This script handles the preprocessing of the data.
2. __jasp_data_processing.py__: This script converts the pre-processed data to make it useable in JASP.
3. __paper_visualization_creation.py__: This class creates the two result visualizations (Fig. 3 + 4) used in our paper.
4. (Optional) __other_visualization_creation.py__: A set of other visualization not used in the current finalized publication of this paper.

Further, the file __config.py__ contains all configurable information and additional methods for the pre-processing of the data and the creation of the visualizations.

The results of each script can be found in the created __/out__ folder afterwards, whereof:
* __data__: contains the pre-processed data
* __jasp__: contains the files used in the JASP analysis
* __paper__: contains the created visualizations used in the paper
* __other__: contains additionally created visualizations



## Folder: 06 Statistical Analysis (Size: 9.27 MB)

This folder contains the JASP files that were used to analyse the collected and preprocessed data.
All the .csv files present in this folder were created by the python scripts and than copied to this folder.
We used the JASP version 0.15 for the analysis.

### File: aggregate_tasks.jasp (Size: 4.6 MB)

In this file, we analysis the linear mixed models for the user experience values of Dependability, Usefulness, and Intuitive Use.
For every participant, there exists 4 lines which represent the 4 conditions (Visualization Type x Adaptation).

### File: single_tasks.jasp (Size: 3.52 MB)

In this file, we analysis the (generalized) linear mixed models for the task performance of Task Completion Time (Time) and Task Accuracy (Accuracy).
For every participant, there exist 20 lines, whereof each line represents one task solved.

### File: vis_aggregated.jasp (Size: 1.09 MB)

In this file, we analyse the correlations and paired t-tests.
Each line in this file represents one partiticpant.
